;(function(window) {

  var svgSprite = '<svg>' +
    '' +
    '<symbol id="icon-xianshifangshi" viewBox="0 0 1024 1024">' +
    '' +
    '<path d="M163.91421 177.920202l0 277.114388L441.028599 455.034591 441.028599 177.920202 163.91421 177.920202zM394.842697 408.848689 210.100112 408.848689 210.100112 224.106104l184.742585 0L394.842697 408.848689z"  ></path>' +
    '' +
    '<path d="M163.91421 568.965409l0 277.114388L441.028599 846.079798 441.028599 568.965409 163.91421 568.965409zM394.842697 799.893896 210.100112 799.893896 210.100112 615.150288l184.742585 0L394.842697 799.893896z"  ></path>' +
    '' +
    '<path d="M535.341614 398.012899l324.744175 0 0 46.185902-324.744175 0 0-46.185902Z"  ></path>' +
    '' +
    '<path d="M534.12388 194.47218l324.744175 0 0 46.185902-324.744175 0 0-46.185902Z"  ></path>' +
    '' +
    '<path d="M534.867824 793.398971l324.744175 0 0 46.185902-324.744175 0 0-46.185902Z"  ></path>' +
    '' +
    '<path d="M533.651113 589.858252l324.744175 0 0 46.185902-324.744175 0 0-46.185902Z"  ></path>' +
    '' +
    '</symbol>' +
    '' +
    '</svg>'
  var script = function() {
    var scripts = document.getElementsByTagName('script')
    return scripts[scripts.length - 1]
  }()
  var shouldInjectCss = script.getAttribute("data-injectcss")

  /**
   * document ready
   */
  var ready = function(fn) {
    if (document.addEventListener) {
      if (~["complete", "loaded", "interactive"].indexOf(document.readyState)) {
        setTimeout(fn, 0)
      } else {
        var loadFn = function() {
          document.removeEventListener("DOMContentLoaded", loadFn, false)
          fn()
        }
        document.addEventListener("DOMContentLoaded", loadFn, false)
      }
    } else if (document.attachEvent) {
      IEContentLoaded(window, fn)
    }

    function IEContentLoaded(w, fn) {
      var d = w.document,
        done = false,
        // only fire once
        init = function() {
          if (!done) {
            done = true
            fn()
          }
        }
        // polling for no errors
      var polling = function() {
        try {
          // throws errors until after ondocumentready
          d.documentElement.doScroll('left')
        } catch (e) {
          setTimeout(polling, 50)
          return
        }
        // no errors, fire

        init()
      };

      polling()
        // trying to always fire before onload
      d.onreadystatechange = function() {
        if (d.readyState == 'complete') {
          d.onreadystatechange = null
          init()
        }
      }
    }
  }

  /**
   * Insert el before target
   *
   * @param {Element} el
   * @param {Element} target
   */

  var before = function(el, target) {
    target.parentNode.insertBefore(el, target)
  }

  /**
   * Prepend el to target
   *
   * @param {Element} el
   * @param {Element} target
   */

  var prepend = function(el, target) {
    if (target.firstChild) {
      before(el, target.firstChild)
    } else {
      target.appendChild(el)
    }
  }

  function appendSvg() {
    var div, svg

    div = document.createElement('div')
    div.innerHTML = svgSprite
    svgSprite = null
    svg = div.getElementsByTagName('svg')[0]
    if (svg) {
      svg.setAttribute('aria-hidden', 'true')
      svg.style.position = 'absolute'
      svg.style.width = 0
      svg.style.height = 0
      svg.style.overflow = 'hidden'
      prepend(svg, document.body)
    }
  }

  if (shouldInjectCss && !window.__iconfont__svg__cssinject__) {
    window.__iconfont__svg__cssinject__ = true
    try {
      document.write("<style>.svgfont {display: inline-block;width: 1em;height: 1em;fill: currentColor;vertical-align: -0.1em;font-size:16px;}</style>");
    } catch (e) {
      console && console.log(e)
    }
  }

  ready(appendSvg)


})(window)