
/*--================================= 
	 设置状态栏的背景颜色
 ====================================--*/
document.addEventListener('plusready',function(){
	plus.navigator.setStatusBarBackground("#2a96ff");
	//--禁止手机可以拖拽可以返回上一个视图 ios下的解决方案
	var wv=plus.webview.currentWebview();
	wv.setStyle({'popGesture':'none'});
},false);

/*--================================= 
	 动态设置body的高度为手机的高度
 ====================================--*/
(function setBodyHeight(){
	var h =  document.documentElement.clientHeight;
	var b = document.getElementsByTagName('body')[0];
	b.style.height = h + 'px';	
})();

/*--================================= 
	 定义测试、生产环境下的Api接口
 ====================================--*/
function ApiConfig(){
	
	//切换api地址：
	//0代表：正式线上环境 1赵倩的环境 2张志君的环境 3王俊全的环境 4公司映射到外网的环境 5宁波http服务6温兴本地测试环境
	var p = 13;
	
	var hosts = [
			"http://115.236.180.211:7101", //0正式环境-宁波
			"http://192.168.101.148:7004", //1测试环境 - 赵倩
			"http://192.168.100.144:7001", //2测试环境 - 张志君
			"http://192.168.100.148:7001", //3测试环境 - 王俊全
			"https://www.gkjsf.com", //4测试环境 映射到外网
			"http://srv.gdmsa.gov.cn",//5
			"http://192.168.100.151:7001",//6温兴本地测试环境
			"http://192.168.100.145:7001",//7曹珍珍本地测试环境
			"http://192.168.100.159:9004",//8赵小令本地测试环境
			"http://192.168.100.158:7002",//9李峰本地测试环境
			"http://192.168.101.199:7002",//10袁华测试环境
			"http://192.168.191.2:7003",//11蒋思琪测试环境
			"http://www.gkjsf.com:7002",//12 外网
			"http://180.169.34.55:9003"//13上海环境
		];
	
	
	var apis = [
			hosts[p]+"/NBPaymentCenterServer_FromService/AjaxServlet.do", //0外网
			hosts[p]+"/NBPaymentCenterServer_FromService/PaymentServlet.do", //1核心内网  + 支付
			hosts[p]+"/NBPaymentCenterServer_FromService/BankPaymentServlet.do",//2缴费码
			hosts[p]+"/NBPaymentCenterServer_FromService/ImageViewServlet.do",//3
			hosts[p]+"/NBPaymentCenterServer_FromService/UploadFileServlet.do",//4上传
			hosts[p]+"/NBPaymentCenterServer_FromService/AttachImgUploadServlet.do",//5上传图片
			hosts[p]+"/NBPaymentCenterServer_FromService/AcpPermissionApplyServlet.do",//6用户注册
			hosts[p]+"/NbAppUpdate/H5D29E233.wgt",//7用户热更新包下载位置
		];
	
	return apis;
}

/*--================================= 
	 定义测试、生产环境下的二维码验证路径
 ====================================--*/
function qrCodeExpired_URI(){
	
	var urlArr = [
			"http://192.168.101.199:7001/mlp_online/CacheOperateServlet.do",//0北京华正
			"http://cspur.msa.gov.cn:9003/mlp_online/CacheOperateServlet.do"//1上海
		];
	
	return urlArr[0];
	
}

/*--================================= 
	二次封装jQuery的ajax的POST请求：
		AjaxServlet:外网;
		PaymentServlet:核心/内网
		BankPaymentServlet:交费码
		PaymentServlet:支付
		ImageViewServlet:信息公告的图片
 ====================================--*/
function AjaxServlet(method,json,successFn,errorFn){
	$.ajax({
		type:"POST",
		xhrFields: {
            withCredentials: true
        },
		url:ApiConfig()[0],
		dataType:"json",
//		timeout:"7000",
		data:JSON.stringify({'method':method,'checkValue':'mainsoft','Rows':json}),
		success:successFn,
		error:errorFn
	});
}
function PaymentServlet(method,json,successFn,errorFn){
    
	$.ajax({
		async:false,
		xhrFields: {
            withCredentials: true
        },
		type:"POST",
		url:ApiConfig()[1],
		dataType:"json",
//		timeout:"7000",
		data:JSON.stringify({'method':method,'checkValue':'mainsoft','Rows':json}),
		success:successFn,
		error:errorFn
	});
}

//PostUnionpay方法调用使用异步(苹果手机)
function PaymentServlet1(method,json,successFn,errorFn){
	$.ajax({
		async:true,
		xhrFields: {
            withCredentials: true
        },
		type:"POST",
		url:ApiConfig()[1],
		dataType:"json",
//		timeout:"7000",
		data:JSON.stringify({'method':method,'checkValue':'mainsoft','Rows':json}),
		success:successFn,
		error:errorFn
	});
}


function BankPaymentServlet(method,json,successFn,errorFn){
	$.ajax({
		type:"POST",
		xhrFields: {
            withCredentials: true
        },
		url:ApiConfig()[2],
		dataType:"json",
//		timeout:"7000",
		data:JSON.stringify({'method':method,'checkValue':'mainsoft','Rows':json}),
		success:successFn,
		error:errorFn
	});
}
function ImageViewServlet(method,json,successFn,errorFn){
	$.ajax({
		type:"POST",
		xhrFields: {
            withCredentials: true
        },
		url:ApiConfig()[3],
		dataType:"json",
//		timeout:"7000",
		data:JSON.stringify({'method':method,'checkValue':'mainsoft','Rows':json}),
		success:successFn,
		error:errorFn
	});
}

/*--================================= 
	时间戳转换时间格式方法
	格式：年-月-日  和 年-月-日 时:分
 ====================================--*/
function formatDate(now){
	now=new Date(now);
	var year=now.getFullYear();
	var month=now.getMonth()+1; 
	var date=now.getDate();
	return year+"-"+month+"-"+date;
}

function formatTime(now){
	now=new Date(now);
	var year=now.getFullYear();
	var month=now.getMonth()+1; 
	var date=now.getDate();
	var h = now.getHours();
	var m = now.getMinutes();
	if(h<10){
		h = '0'+ h;
	}
	if(m<10){
		m = '0' + m;
	}
	return year+"-"+month+"-"+date+" "+h+":"+m;
}

/*--================================= 
	确认confirm方法 fn为方法名
 ====================================--*/
function isConfirm(tipContent,tipTitle,fn){
	var btnArray = ['否', '是'];
    mui.confirm(tipContent, tipTitle, btnArray, function(e) {
        if (e.index == 1) {
           fn();
        } else {
           return false;
        }
    });
}

/*--================================= 
	获取本地存储：获取登录成功存储的用户信息
 ====================================--*/
function getLoginStorage(){
	//获取本地存储(登录页)
	var  login_Storage = localStorage.getItem("login_Storage");
    return login_Storage = JSON.parse(login_Storage); 
}

/*--================================= 
	获取本地存储(首页) 辖区code的方法
 ====================================--*/
function getDistrictStorage(){
	//获取本地存储2(main.html) 辖区编码
	var  districtCode = localStorage.getItem("districtCode_Storage");
	return districtCode;
}


/*--================================= 
	封装原生的遮罩层和等待框:
		1-遮罩层
		2-等待框的方法
 ====================================--*/
window.gdappUI = {
	gdWaiting : "",
	gdMask : "",
	showWaiting : function(type){
		gdappUI.gdMask = plus.webview.currentWebview();
		gdappUI.gdMask.setStyle({mask:"rgba(0,0,0,0.2)"});
		gdappUI.gdWaiting = plus.nativeUI.showWaiting( type,{size:'16px',color:'#DEDEDE',width:'60%',height:'70px',background:"rgba(0,0,0,0.5)",loading:{display:"inline"}} );			
	},
	closeWaiting : function(){
		gdappUI.gdMask.setStyle({mask:"none"});
		gdappUI.gdWaiting.close();
	}
}

/*--====== 去除获取到的数据undifined的变量  =====--*/
function dropUndefined(argu){
	if(argu=='null'){
    	return '';
    }
	else if(argu=='undefined'){
	 return '';	
	}
    else if(argu){
		return argu ;	
	}else{
		return '';
	}
}

/*--====== 封装点击事件，跳转页面，避免多时间多次出发点击事件  =====--*/
function TapOnceJumpPage(id,url,extrasObj){
	var extrasObj = extrasObj || {};
	var onOff = true;
	var obj = document.getElementById(id);
	obj.addEventListener('tap',function(){
		if(onOff){
			mui.openWindow({
				url:url,
	    		id: url,
	    		styles: {
	    			top: 0, //新页面顶部位置
	    			bottom: 0, //新页面底部位置
	    		},
	    		extras: extrasObj,
	    		createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
	    		show: {
	    			autoShow: true, //页面loaded事件发生后自动显示，默认为true
	    			aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
	    			duration: "200" //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
	    		}
	    	});

	    	onOff = false;
	    	setTimeout(function(){
	    		onOff = true; 
	    	},1200);
		}
	});
}


/*--====== 跳转到页面的方法  =====--*/
function JumpToPage(url,extrasObj,duration){
	var duration = duration || 200;
	var extrasObj = extrasObj || {};
	mui.openWindow({
		url:url,
		id: url,
		styles: {
			top: 0, //新页面顶部位置
			bottom: 0, //新页面底部位置
		},
		extras: extrasObj,
		createNew: true, //是否重复创建同样id的webview，默认为false:不重复创建，直接显示
		show: {
			autoShow: true, //页面loaded事件发生后自动显示，默认为true
			aniShow: "slide-in-right", //页面显示动画，默认为”slide-in-right“；
			duration: duration //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
		},
		 waiting:{
	      autoShow:false,//自动显示等待框，默认为true
	    }
	});
}

/*--===== 显示已经创建好的webview =====--*/
//function showExistWebview(id,urlID){
//	var objID = document.getElementById(id);
//	objID.addEventListener('tap',function(){
//				
//		/*--== 加载遮罩层和等待框 ==--*/
//		gdappUI.showWaiting('正在前往...');
//		var h = plus.webview.getWebviewById(urlID);
//		
//		/*--=== 关闭遮罩层和等待框 ===--*/
//		setTimeout(function(){
//			
//			h.show('slide-in-left',300,function(e){
//				/*--== 关闭遮罩层和等待框 ==--*/
//				gdappUI.closeWaiting();
//			});
//			
//		},300);
//		
//	},false);
//}

/*--===== 展示保存/修改/删除成功 提示对勾 UI ===--*/
function ShowSuccessTip(Tiptext){
	if(plus.os.name == 'Android'){
		var icon = "../img/duigou1.png";
	}else{
		var icon = "../img/duigou7.png";
	}
	plus.nativeUI.toast(Tiptext, {  
	    icon : icon ,// eg. "/img/add.png"  
	    duration : 'short',// 持续3.5s，short---2s  
	    align : "center",// 水平居中  
	    verticalAlign : "center"// 垂直底部  
	}); 
}
